%global pkgname openmath
%global PkgName OpenMath

# We need gap-pkg-scscp to build documentation, but it needs this package to
# function at all.  Therefore, build without this to bootstrap on a new
# architecture.
%bcond_without scscp

Name:           gap-pkg-%{pkgname}
Version:        11.4.2
Release:        4%{?dist}
Summary:        Import and export of OpenMath objects for GAP

License:        GPLv2+
URL:            https://gap-packages.github.io/openmath/
Source0:        https://github.com/gap-packages/%{pkgname}/releases/download/v%{version}/%{PkgName}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex
BuildRequires:  gap-pkg-io
%if %{with scscp}
BuildRequires:  gap-pkg-scscp
%endif

Requires:       gap-core
Requires:       gap-pkg-io

%description
This package provides an OpenMath phrasebook for GAP.  It allows GAP
users to import and export mathematical objects encoded in OpenMath, for
the purpose of exchanging them with other OpenMath-enabled applications.
For details about the OpenMath encoding, see http://www.openmath.org/.

%prep
%setup -q -n %{PkgName}-%{version}

%build
# Link to main GAP documentation
ln -s %{_gap_dir}/doc ../../doc
mkdir ../pkg
ln -s ../%{PkgName}-%{version} ../pkg/%{PkgName}
gap -l "$PWD/..;%{_gap_dir}" makedoc.g
rm -fr ../../doc ../pkg

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{PkgName}-%{version} %{buildroot}%{_gap_dir}/pkg/%{PkgName}
rm -f %{buildroot}%{_gap_dir}/pkg/%{PkgName}/{CHANGES,examples,GPL,README.md}
rm -f %{buildroot}%{_gap_dir}/pkg/%{PkgName}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,tex,toc}

%check
cd tst
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" testall.g < /dev/null \
    2>&1 | tee log
grep -Fvq 'Errors detected' log
rm -f log

%files
%doc CHANGES examples README.md
%license GPL
%docdir %{_gap_dir}/pkg/%{PkgName}/doc
%docdir %{_gap_dir}/pkg/%{PkgName}/htm
%{_gap_dir}/pkg/%{PkgName}/

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 11.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 11.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 11.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Apr  1 2017 Jerry James <loganjerry@gmail.com> - 11.4.2-1
- New upstream version
- New URLs

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 11.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr 21 2016 Jerry James <loganjerry@gmail.com> - 11.3.1-1
- Initial RPM
